> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/settings/settings.md).

# Settings

## Get a setting by object identifier.

> Retrieves a setting using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"hasImage":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/{objectIdentifier}":{"get":{"tags":["Settings"],"summary":"Get a setting by object identifier.","description":"Retrieves a setting using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get image for image-type setting.

> Retrieves the image file for a setting that has Image data type.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/{objectIdentifier}/image":{"get":{"tags":["Settings"],"summary":"Get image for image-type setting.","description":"Retrieves the image file for a setting that has Image data type.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Upload image for image-type setting.

> Uploads an image file for a setting that has Image data type. Creates org-specific override.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/{objectIdentifier}/image":{"post":{"tags":["Settings"],"summary":"Upload image for image-type setting.","description":"Uploads an image file for a setting that has Image data type. Creates org-specific override.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"imageFile":{"type":"string","format":"binary"}}},"encoding":{"imageFile":{"style":"form"}}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Delete organization-specific image for image-type setting.

> Deletes the organization-specific image, falling back to template image if available.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/{objectIdentifier}/image":{"delete":{"tags":["Settings"],"summary":"Delete organization-specific image for image-type setting.","description":"Deletes the organization-specific image, falling back to template image if available.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get a user (non-admin) setting by object identifier.

> Retrieves a setting using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"hasImage":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/user-settings/{objectIdentifier}":{"get":{"tags":["Settings"],"summary":"Get a user (non-admin) setting by object identifier.","description":"Retrieves a setting using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get all settings for the organization.

> Retrieves a paginated list of all settings for the current organization.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"hasImage":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings":{"get":{"tags":["Settings"],"summary":"Get all settings for the organization.","description":"Retrieves a paginated list of all settings for the current organization.","parameters":[{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"parentObjectIdentifier","in":"query","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get settings by object identifiers.

> Retrieves settings by a list of object identifiers.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"hasImage":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/setting-identifiers":{"get":{"tags":["Settings"],"summary":"Get settings by object identifiers.","description":"Retrieves settings by a list of object identifiers.","parameters":[{"name":"settingIdentifiers","in":"query","schema":{"type":"array","items":{"type":"string","format":"uuid"}}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Update a setting by object identifier.

> Updates a setting by its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.MultiTypeInputWriteModel":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"organizationMetadataIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel"},"nullable":true},"hasImage":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.Integrations.Settings.Models.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/{settingObjectIdentifier}":{"patch":{"tags":["Settings"],"summary":"Update a setting by object identifier.","description":"Updates a setting by its object identifier.","parameters":[{"name":"settingObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Integrations.Settings.Models.SettingReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.jylo.ai/api-reference/settings/settings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
